searchNodes=[{"ref":"ExSplitwise.html","title":"ExSplitwise","type":"module","doc":"Splitwise API wrapper."},{"ref":"ExSplitwise.Client.html","title":"ExSplitwise.Client","type":"module","doc":"Defines the ExSplitwise.Client struct, and the HTTP requests functions to hit the Splitwise API."},{"ref":"ExSplitwise.Client.html#get!/1","title":"ExSplitwise.Client.get!/1","type":"function","doc":""},{"ref":"ExSplitwise.Client.html#post!/1","title":"ExSplitwise.Client.post!/1","type":"function","doc":""},{"ref":"ExSplitwise.Client.html#post!/2","title":"ExSplitwise.Client.post!/2","type":"function","doc":""},{"ref":"ExSplitwise.Client.Response.html","title":"ExSplitwise.Client.Response","type":"module","doc":"Response struct, returned by all the functions in the library. Includes the decoded JSON body, headers and status code."},{"ref":"ExSplitwise.Expenses.html","title":"ExSplitwise.Expenses","type":"module","doc":"This module defines the functions to manage Splitwise expenses."},{"ref":"ExSplitwise.Expenses.html#all/0","title":"ExSplitwise.Expenses.all/0","type":"function","doc":"Get user&#39;s expenses. Example iex&gt; ExSplitwise.Expenses.all() %ExSplitwise.Client.Response{ body: %{ &quot;expenses&quot; =&gt; [ %{ ... }, %{ ... } ] }, headers: [ ... ], status: 200 }"},{"ref":"ExSplitwise.Expenses.html#create/1","title":"ExSplitwise.Expenses.create/1","type":"function","doc":"Create new expense. In the response body will include a map with the errors, or a list with the created expense. Example iex&gt; expense = %{ cost: 500, currency_code: &quot;UYU&quot;, group_id: &quot;987675&quot;, users: [ %{id: &quot;12345&quot;, paid_share: 0, owed_share: 500}, %{id: &quot;23456&quot;, paid_share: 500, owed_share: 0}, ], category_id: 18, description: &quot;Sample expense&quot;, creation_method: &quot;equal&quot; } iex&gt; %{body: expenses} = Splitwise.Expenses.create(expense) %Splitwise.Client.Response{ body: %{ &quot;errors&quot; =&gt; %{}, &quot;expenses&quot; =&gt; [ %{ &quot;category&quot; =&gt; %{&quot;id&quot; =&gt; 18, &quot;name&quot; =&gt; &quot;General&quot;}, ... } ] }, headers: [ {&quot;Content-Type&quot;, &quot;application/json; charset=utf-8&quot;}, ], status: 200 }"},{"ref":"ExSplitwise.Expenses.html#delete/1","title":"ExSplitwise.Expenses.delete/1","type":"function","doc":"Delete expense by id. Example iex&gt; Splitwise.Expenses.delete(id)"},{"ref":"ExSplitwise.Expenses.html#get/1","title":"ExSplitwise.Expenses.get/1","type":"function","doc":"Get expense by id. Example iex&gt; ExSplitwise.Expenses.get(28091891) %ExSplitwise.Client.Response{ body: %{ &quot;expense&quot; =&gt; %{ ... } }, headers: [ ... ], status: 200 }"},{"ref":"ExSplitwise.Expenses.html#update/2","title":"ExSplitwise.Expenses.update/2","type":"function","doc":"Update expense by id."},{"ref":"ExSplitwise.Friends.html","title":"ExSplitwise.Friends","type":"module","doc":"This module defines the functions to manage Splitwise friends."},{"ref":"ExSplitwise.Friends.html#all/0","title":"ExSplitwise.Friends.all/0","type":"function","doc":"Get current user&#39;s friends. Example iex&gt; ExSplitwise.Friends.all() %ExSplitwise.Client.Response{ body: %{ &quot;friends&quot; =&gt; [ %{ ... }, %{ ... } ] }, headers: [ ... ], status: 200 }"},{"ref":"ExSplitwise.Groups.html","title":"ExSplitwise.Groups","type":"module","doc":"This module defines the functions to manage Splitwise groups."},{"ref":"ExSplitwise.Groups.html#all/0","title":"ExSplitwise.Groups.all/0","type":"function","doc":"Get all the groups. Example iex&gt; ExSplitwise.Groups.all() %ExSplitwise.Client.Response{ body: %{ &quot;groups&quot; =&gt; [...] }, headers: [ ... ], status: 200 }"},{"ref":"ExSplitwise.Groups.html#get/1","title":"ExSplitwise.Groups.get/1","type":"function","doc":"Get group by id. Example iex&gt; ExSplitwise.Groups.get(1000) %ExSplitwise.Client.Response{ body: %{ &quot;group&quot; =&gt; %{ &quot;created_at&quot; =&gt; &quot;2019-01-24T00:04:22Z&quot;, &quot;group_type&quot; =&gt; &quot;apartment&quot;, &quot;id&quot; =&gt; 2000, &quot;invite_link&quot; =&gt; &quot;https://www.splitwise.com/join/xxxxxx&quot;, &quot;members&quot; =&gt; [ %{ &quot;balance&quot; =&gt; [], &quot;email&quot; =&gt; &quot;guy.montag@example.com&quot;, &quot;first_name&quot; =&gt; &quot;Guy&quot;, &quot;id&quot; =&gt; 1891, &quot;last_name&quot; =&gt; &quot;Montag&quot;, &quot;picture&quot; =&gt; %{ &quot;large&quot; =&gt; &quot;...&quot;, &quot;medium&quot; =&gt; &quot;...&quot;, &quot;small&quot; =&gt; &quot;...&quot; }, &quot;registration_status&quot; =&gt; &quot;confirmed&quot; }, ], &quot;name&quot; =&gt; &quot;Cavepot &quot;, &quot;original_debts&quot; =&gt; [ %{ &quot;amount&quot; =&gt; &quot;80.0&quot;, &quot;currency_code&quot; =&gt; &quot;UYU&quot;, &quot;from&quot; =&gt; 1891, &quot;to&quot; =&gt; 2019 }, ], &quot;simplified_debts&quot; =&gt; [ %{ &quot;amount&quot; =&gt; &quot;168.01&quot;, &quot;currency_code&quot; =&gt; &quot;UYU&quot;, &quot;from&quot; =&gt; 1891, &quot;to&quot; =&gt; 2019 }, ], &quot;simplify_by_default&quot; =&gt; false, &quot;updated_at&quot; =&gt; &quot;2019-03-30T01:03:53Z&quot;, &quot;whiteboard&quot; =&gt; nil } }, headers: [ ... ], status: 200 }"},{"ref":"ExSplitwise.Notifications.html","title":"ExSplitwise.Notifications","type":"module","doc":"This module defines the functions to manage Splitwise notifications."},{"ref":"ExSplitwise.Notifications.html#all/0","title":"ExSplitwise.Notifications.all/0","type":"function","doc":"Get all the notifications of the user. Example iex&gt; ExSplitwise.Notifications.all() %ExSplitwise.Client.Response{ body: %{ &quot;notifications&quot; =&gt; [ %{ &quot;content&quot; =&gt; &quot;&lt;strong&gt;Tú&lt;/strong&gt; añadiste &lt;strong&gt;“Sample expense”&lt;/strong&gt; en &lt;strong&gt;“Prueba”&lt;/strong&gt;.&lt;br&gt;&lt;font color=&quot;#ff652f&quot;&gt;Debes 500,00 $&lt;/font&gt;&quot;, &quot;created_at&quot; =&gt; &quot;2019-06-20T18:17:50Z&quot;, &quot;created_by&quot; =&gt; 1891, &quot;id&quot; =&gt; 28091891, &quot;image_shape&quot; =&gt; &quot;square&quot;, &quot;image_url&quot; =&gt; &quot;...&quot;, &quot;source&quot; =&gt; %{&quot;id&quot; =&gt; 2019, &quot;type&quot; =&gt; &quot;Expense&quot;, &quot;url&quot; =&gt; nil}, &quot;type&quot; =&gt; 0 }, ] }, headers: [ ... ], status: 200 }"},{"ref":"ExSplitwise.Users.html","title":"ExSplitwise.Users","type":"module","doc":"This module defines the functions to manage Splitwise users."},{"ref":"ExSplitwise.Users.html#current/0","title":"ExSplitwise.Users.current/0","type":"function","doc":"Get current logged in user. Example iex&gt; Splitwise.Users.current() %Splitwise.Client.Response{ body: %{ &quot;user&quot; =&gt; %{ &quot;country_code&quot; =&gt; &quot;UY&quot;, &quot;date_format&quot; =&gt; &quot;MM/DD/YYYY&quot;, &quot;default_currency&quot; =&gt; &quot;UYU&quot;, &quot;default_group_id&quot; =&gt; -1, &quot;email&quot; =&gt; &quot;johndoe@example.com&quot;, &quot;first_name&quot; =&gt; &quot;Winston&quot;, &quot;force_refresh_at&quot; =&gt; nil, &quot;id&quot; =&gt; 12345, &quot;last_name&quot; =&gt; &quot;Smith&quot;, &quot;locale&quot; =&gt; &quot;es&quot;, &quot;notifications&quot; =&gt; %{ &quot;added_as_friend&quot; =&gt; true, &quot;added_to_group&quot; =&gt; true, &quot;announcements&quot; =&gt; true, &quot;bills&quot; =&gt; true, &quot;expense_added&quot; =&gt; false, &quot;expense_updated&quot; =&gt; false, &quot;monthly_summary&quot; =&gt; true, &quot;payments&quot; =&gt; true }, &quot;notifications_count&quot; =&gt; 0, &quot;notifications_read&quot; =&gt; &quot;2019-05-14T00:40:22Z&quot;, &quot;picture&quot; =&gt; %{ &quot;large&quot; =&gt; &quot;...&quot;, &quot;medium&quot; =&gt; &quot;...&quot;, &quot;small&quot; =&gt; &quot;...&quot; }, &quot;registration_status&quot; =&gt; &quot;confirmed&quot; } }, headers: [ {&quot;Content-Type&quot;, &quot;application/json; charset=utf-8&quot;}, ], status: 200 }"},{"ref":"ExSplitwise.Users.html#get/1","title":"ExSplitwise.Users.get/1","type":"function","doc":"Get user by id Example iex&gt; Splitwise.Users.get(12345) %Splitwise.Client.Response{ body: %{ &quot;user&quot; =&gt; %{ &quot;email&quot; =&gt; &quot;winston.smith@example.com&quot;, &quot;first_name&quot; =&gt; &quot;Winston&quot;, &quot;id&quot; =&gt; 12345, &quot;last_name&quot; =&gt; &quot;Smith&quot;, &quot;picture&quot; =&gt; %{ &quot;large&quot; =&gt; &quot;...&quot;, &quot;medium&quot; =&gt; &quot;...&quot;, &quot;small&quot; =&gt; &quot;...&quot; }, &quot;registration_status&quot; =&gt; &quot;confirmed&quot; } }, headers: [ {&quot;Content-Type&quot;, &quot;application/json; charset=utf-8&quot;}, ], status: 200 }"},{"ref":"ExSplitwise.Users.html#update/2","title":"ExSplitwise.Users.update/2","type":"function","doc":"Update user by id. A user can edit anything about their own account, and may edit the first_name, last_name, and email for any acquaintances who have not logged in yet. Example iex&gt; ExSplitwise.Users.update(12345, %{ &quot;first_name&quot; =&gt; &quot;Atticus&quot;, &quot;last_name&quot; =&gt; &quot;Finch&quot; }) %ExSplitwise.Client.Response{ body: %{ &quot;user&quot; =&gt; %{ ... } }, headers: [ {&quot;Content-Type&quot;, &quot;application/json; charset=utf-8&quot;}, ], status: 200 }"},{"ref":"readme.html","title":"Overview","type":"extras","doc":"Splitwise API wrapper A wrapper for the Splitwise API."},{"ref":"readme.html#installation","title":"Overview - Installation","type":"extras","doc":"The package can be installed by adding ex_splitwise to your list of dependencies in mix.exs: def deps do [ {:ex_splitwise, &quot;~&gt; 0.1.0&quot;} ] end"},{"ref":"readme.html#getting-started","title":"Overview - Getting started","type":"extras","doc":"Register your application to get a key and secret in order to authenticate to the API. Use the key and secret to get a token: Let the user navigate to the authorize_url to enter their credentials: authorize_url = ExSplitwise.OAuth2.Client.authorize_url!() Get a token with the code returned by Splitwise: def callback(conn, params) do ExSplitwise.OAuth2.Client.get_token!(params[&quot;code&quot;]) render(conn, &quot;index.html&quot;) end Make a request (current_user) def user(conn, _params) do %{body: body} = ExSplitwise.Users.current() json(conn, user) end"},{"ref":"readme.html#usage","title":"Overview - Usage","type":"extras","doc":"All the functions return a %ExSplitwise.Reponse{} struct with the following fields: body: decoded JSON headers: list of headers returned by the server status: HTTP status code"},{"ref":"readme.html#functions","title":"Overview - Functions","type":"extras","doc":"Users Groups Friends Expenses Notifications Comments Currencies Users current %{body: body} = ExSplitwise.Users.current() get %{body: body} = ExSplitwise.Users.get(id) update %{body: body} = ExSplitwise.Users.update(id, data) Groups all %{body: body} = ExSplitwise.Groups.all() get %{body: body} = ExSplitwise.Groups.get(id) Friends all %{body: body} = ExSplitwise.Friends.all() Expenses all %{body: body} = ExSplitwise.Expenses.all() get %{body: body} = ExSplitwise.Expenses.get(id) create %{body: body} = ExSplitwise.Expenses.create(data) update %{body: body} = ExSplitwise.Expenses.update(id) delete %{body: body} = Splitwise.Expenses.delete(id) Notifications all %{body: body} = ExSplitwise.Notifications.all() Comments Currencies Documentation can be found at https://hexdocs.pm/ex_splitwise."}]